# QSslCertificate Class Reference

### [com.trolltech.qt.network package]

### Constructor

- void QSslCertificate(QIODevice device, EncodingFormat format)
- void QSslCertificate(QByteArray encoded, EncodingFormat format)
- void QSslCertificate(QSslCertificate other)

### Constructor Properties

- prototype: The QSslCertificate prototype object
- List fromData(QByteArray data, EncodingFormat format)
- List fromDevice(QIODevice device, EncodingFormat format)
- List fromPath(String path, EncodingFormat format, PatternSyntax syntax)
- Organization
- CommonName
- LocalityName
- OrganizationalUnitName
- CountryName
- StateOrProvinceName
- SubjectInfo( value )

### Prototype Object Properties

- SortedMap alternateSubjectNames()
- void clear()
- QByteArray digest(Algorithm algorithm)
- QDateTime effectiveDate()
- QDateTime expiryDate()
- Qt::HANDLE handle()
- bool isNull()
- bool isValid()
- String issuerInfo(SubjectInfo info)
- QSslCertificate operator_assign(QSslCertificate other)
- bool operator_equal(QSslCertificate other)
- QSslKey publicKey()
- QByteArray serialNumber()
- String subjectInfo(SubjectInfo info)
- QByteArray toDer()
- QByteArray toPem()
- QByteArray version()

### Instance Properties

QSslCertificate objects have no special properties beyond those inherited from the QSslCertificate prototype object.